(function ($) {
	$.fn.imgSize = function () {

		// Получаем значение минимальной высоты строки
		var lineHeight = parseInt($('p').css('line-height')) / 2;

		this.each(function () {

			var elem = $(this),
				resize = elem.attr('data-noresize');

			if (resize == undefined) {
				elem.removeAttr('height');
				elem.removeAttr('width');

				// Получаем реальную высоту изображения
				var width,
					naturalWidth = this.naturalWidth,
					ratio = this.naturalWidth / this.naturalHeight,
					parentWidth = elem.parent().width();

				// Проверяем не вылезает ли изображение за рамки родительского блока
				// и переичитываем высоту
				if (naturalWidth >= parentWidth) {
					width = elem.width(parentWidth);
					calcHeight();
				}
				else {
					width = elem.width(naturalWidth);
					calcHeight();
				}

				// расчитываем новую высоту изображения
				function calcHeight() {
					var height = width / ratio;

					// Считаем новую высоту изображения
					var div = Math.floor(height / lineHeight);
					var newHeight = lineHeight * div;

					// Применяем новую высоту к изображению
					elem.css('height', newHeight);
				}

			}
		});

	};
})( jQuery );